import { Reducer } from './reducer';
import { Dispatch } from './action';
export interface Store<TState> {
    dispatch: Dispatch;
    getState(): TState;
    subscribe(listener: () => any): () => void;
    replaceReducer(nextReducer: Reducer<TState>): void;
}
export declare function createStore<TState>(topLevelReducer: Reducer<TState>, log?: boolean): Store<TState>;
